declare const _default: {
    extends: string[];
    rules: {
        '@graphql-eslint/description-style': string;
        '@graphql-eslint/known-argument-names': string;
        '@graphql-eslint/known-directives': string;
        '@graphql-eslint/known-type-names': string;
        '@graphql-eslint/lone-schema-definition': string;
        '@graphql-eslint/naming-convention': (string | {
            types: string;
            FieldDefinition: string;
            InputValueDefinition: string;
            Argument: string;
            DirectiveDefinition: string;
            EnumValueDefinition: string;
            'FieldDefinition[parent.name.value=Query]': {
                forbiddenPrefixes: string[];
                forbiddenSuffixes: string[];
            };
            'FieldDefinition[parent.name.value=Mutation]': {
                forbiddenPrefixes: string[];
                forbiddenSuffixes: string[];
            };
            'FieldDefinition[parent.name.value=Subscription]': {
                forbiddenPrefixes: string[];
                forbiddenSuffixes: string[];
            };
        })[];
        '@graphql-eslint/no-case-insensitive-enum-values-duplicates': string;
        '@graphql-eslint/no-hashtag-description': string;
        '@graphql-eslint/no-typename-prefix': string;
        '@graphql-eslint/no-unreachable-types': string;
        '@graphql-eslint/provided-required-arguments': string;
        '@graphql-eslint/require-deprecation-reason': string;
        '@graphql-eslint/require-description': (string | {
            types: boolean;
            DirectiveDefinition: boolean;
        })[];
        '@graphql-eslint/strict-id-in-types': string;
        '@graphql-eslint/unique-directive-names': string;
        '@graphql-eslint/unique-directive-names-per-location': string;
        '@graphql-eslint/unique-field-definition-names': string;
        '@graphql-eslint/unique-operation-types': string;
        '@graphql-eslint/unique-type-names': string;
    };
};
export default _default;
